namespace Tiobon.Core.Api.Controllers;

/// <summary>
/// 课件附件(Controller)
/// </summary>
[Route("api/[controller]")]
[ApiController, GlobalActionFilter]
[Authorize(Permissions.Name), ApiExplorerSettings(GroupName = Grouping.GroupName_Ghre)]
public class Ghre_CourseWareAttachmentController : BaseController<IGhre_CourseWareAttachmentServices, Ghre_CourseWareAttachment, Ghre_CourseWareAttachmentDto, InsertGhre_CourseWareAttachmentInput, EditGhre_CourseWareAttachmentInput>
{
    public Ghre_CourseWareAttachmentController(IGhre_CourseWareAttachmentServices service) : base(service)
    {
    }
}